Open SCAP Library: xccdf_group Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
xccdf_group Struct Reference
XCCDF

XCCDF rule group. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_group * | xccdf_group_new (void)
void | xccdf_group_free (struct xccdf_item *group)
struct xccdf_item * | xccdf_group_to_item (struct xccdf_group *item)
struct xccdf_group * | xccdf_group_clone (const struct xccdf_group *group)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
struct xccdf_item_iterator * | xccdf_group_get_content (const struct xccdf_group *group)
| Get an iterator to the group content. More...
struct xccdf_value_iterator * | xccdf_group_get_values (const struct xccdf_group *group)
const char * | xccdf_group_get_id (const struct xccdf_group *group)
struct oscap_text_iterator * | xccdf_group_get_title (const struct xccdf_group *group)
struct oscap_text_iterator * | xccdf_group_get_description (const struct xccdf_group *group)
const char * | xccdf_group_get_version (const struct xccdf_group *group)
struct oscap_text_iterator * | xccdf_group_get_question (const struct xccdf_group *group)
struct xccdf_warning_iterator * | xccdf_group_get_warnings (const struct xccdf_group *group)
struct oscap_text_iterator * | xccdf_group_get_rationale (const struct xccdf_group *group)
const char * | xccdf_group_get_cluster_id (const struct xccdf_group *group)
float | xccdf_group_get_weight (const struct xccdf_group *group)
bool | xccdf_group_set_weight (struct xccdf_group *item, xccdf_numeric newval)
const char * | xccdf_group_get_extends (const struct xccdf_group *group)
bool | xccdf_group_get_abstract (const struct xccdf_group *group)
bool | xccdf_group_get_prohibit_changes (const struct xccdf_group *group)
bool | xccdf_group_get_hidden (const struct xccdf_group *group)
bool | xccdf_group_get_selected (const struct xccdf_group *group)
struct oscap_string_iterator * | xccdf_group_get_platforms (const struct xccdf_group *group)
struct xccdf_status_iterator * | xccdf_group_get_statuses (const struct xccdf_group *group)
struct oscap_reference_iterator * | xccdf_group_get_dc_statuses (const struct xccdf_group *group)
struct oscap_reference_iterator * | xccdf_group_get_references (const struct xccdf_group *group)
struct xccdf_status * | xccdf_group_get_status_current (const struct xccdf_group *group)
struct oscap_string_iterator * | xccdf_group_get_conflicts (const struct xccdf_group *group)
struct oscap_stringlist_iterator * | xccdf_group_get_requires (const struct xccdf_group *group)
struct oscap_string_iterator * | xccdf_group_get_metadata (const struct xccdf_group *group)
const char * | xccdf_group_get_version_time (const struct xccdf_group *group)
const char * | xccdf_group_get_version_update (const struct xccdf_group *group)
struct xccdf_benchmark * | xccdf_group_get_benchmark (const struct xccdf_group *group)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_group_set_id (struct xccdf_group *item, const char *newval)
bool | xccdf_group_set_cluster_id (struct xccdf_group *item, const char *newval)
bool | xccdf_group_set_extends (struct xccdf_group *item, const char *newval)
bool | xccdf_group_set_version (struct xccdf_group *item, const char *newval)
bool | xccdf_group_set_version_time (struct xccdf_group *item, const char *newval)
bool | xccdf_group_set_version_update (struct xccdf_group *item, const char *newval)
bool | xccdf_group_set_abstract (struct xccdf_group *item, bool newval)
bool | xccdf_group_set_hidden (struct xccdf_group *item, bool newval)
bool | xccdf_group_set_prohibit_changes (struct xccdf_group *item, bool newval)
bool | xccdf_group_set_selected (struct xccdf_group *item, bool newval)
bool | xccdf_group_add_metadata (struct xccdf_group *item, const char *metadata)
bool | xccdf_group_add_description (struct xccdf_group *item, struct oscap_text *newval)
bool | xccdf_group_add_platform (struct xccdf_group *item, const char *newval)
bool | xccdf_group_add_question (struct xccdf_group *item, struct oscap_text *newval)
bool | xccdf_group_add_rationale (struct xccdf_group *item, struct oscap_text *newval)
bool | xccdf_group_add_reference (struct xccdf_group *item, struct oscap_reference *newval)
bool | xccdf_group_add_status (struct xccdf_group *item, struct xccdf_status *newval)
bool | xccdf_group_add_dc_status (struct xccdf_group *item, struct oscap_reference *newval)
bool | xccdf_group_add_title (struct xccdf_group *item, struct oscap_text *newval)
bool | xccdf_group_add_warning (struct xccdf_group *item, struct xccdf_warning *newval)
bool | xccdf_group_add_rule (struct xccdf_group *group, struct xccdf_rule *item)
bool | xccdf_group_add_group (struct xccdf_group *group, struct xccdf_group *item)
bool | xccdf_group_add_value (struct xccdf_group *group, struct xccdf_value *item)
bool | xccdf_group_add_content (struct xccdf_group *rule, struct xccdf_item *item)
bool | xccdf_group_add_requires (struct xccdf_group *group, struct oscap_stringlist *requires)
bool | xccdf_group_add_conflicts (struct xccdf_group *group, const char *conflicts)

## Detailed Description

XCCDF rule group.

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h